# SolrUtils::escapeQueryChars

(PECL solr >= 0.9.2)

SolrUtils::escapeQueryChars — Escapes a lucene query string

### Description

public static SolrUtils::escapeQueryChars ( string `$str` ) : string

Lucene supports escaping special characters that are part of the query syntax.

The current list special characters are:

    + - && || ! ( ) { } [ ] ^ " ~ * ? : \ /

These characters are part of the query syntax and must be escaped

### Parameters

`str`

  This is the query string to be escaped.

### Return Values

Returns the escaped string or `FALSE` on failure.